import Chart from "../chart.js";

/**
 * 环形图组件
 * @param {[type]} dataModel [description]
 */
export default class ChartAnnular extends Chart {

  constructor(__tfp, dataModel, parent) {
    super(__tfp, "ChartAnnular", dataModel, parent);
  }

  get nameField() { return this.dataModel.nameField }
  set nameField(value) { 
    this.dataModel.nameField = value;
  }

  get valueField() { return this.dataModel.valueField }
  set valueField(value) { 
    this.dataModel.valueField = value;
  }

  get outerRadius() { return this.dataModel.outerRadius }
  set outerRadius(value) { 
    this.dataModel.outerRadius = value;
  }

  get innerRadius() { return this.dataModel.innerRadius }
  set innerRadius(value) { 
    this.dataModel.innerRadius = value;
  }
}